BayesianScoreEstimator.Parameters (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.search, class: BayesianScoreEstimator, record: Parameters

Package org.apache.lucene.search

# Record Class BayesianScoreEstimator.Parameters

java.lang.Object
java.lang.Record
org.apache.lucene.search.BayesianScoreEstimator.Parameters

Enclosing class:
  `BayesianScoreEstimator`

public static record BayesianScoreEstimator.Parameters(float alpha, float beta, float baseRate) extends Record
Estimated parameters for `BayesianScoreQuery`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Parameters(float alpha, float beta, float baseRate)`
  Creates an instance of a `Parameters` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `alpha()`
  Returns the value of the `alpha` record component.
  `float`
  `baseRate()`
  Returns the value of the `baseRate` record component.
  `float`
  `beta()`
  Returns the value of the `beta` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Parameters

    public Parameters(float alpha, float beta, float baseRate)
    Creates an instance of a `Parameters` record class.
    Parameters:
      `alpha` - the value for the `alpha` record component
      `beta` - the value for the `beta` record component
      `baseRate` - the value for the `baseRate` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### alpha

    public float alpha()
    Returns the value of the `alpha` record component.
    Returns:
      the value of the `alpha` record component

  - ### beta

    public float beta()
    Returns the value of the `beta` record component.
    Returns:
      the value of the `beta` record component

  - ### baseRate

    public float baseRate()
    Returns the value of the `baseRate` record component.
    Returns:
      the value of the `baseRate` record component